#pragma once

#include "common.h"
#include "quam/pak.h"
#include "quam/ui_main_window.h"

#include <QMainWindow>
#include <QWidget>

class QErrorMessage;

class MainWindow : public QMainWindow, private Ui::MainWindow {
	Q_OBJECT

public:
	explicit MainWindow(QWidget *parent = nullptr);
	virtual ~MainWindow();

public slots:
	void fileOpen();
	void fileClose();

private:
	QErrorMessage *m_errors;
};

// EOF
