#include "quam/project.h"

#include <QAbstractItemModel>
#include <QErrorMessage>
#include <QMdiArea>
#include <QSortFilterProxyModel>

Project::Project(QErrorMessage *errors, QMdiArea *parent) :
	QMdiSubWindow{parent},
	Ui::Project{},
	m_errors{errors}
{
	auto widget = new QWidget(this);
	setupUi(widget);
	setWidget(widget);
	setAttribute(Qt::WA_DeleteOnClose);
	showMaximized();
}

Project::~Project() {
}

// EOF
